@charset "UTF-8";

.site-header {
  position: sticky;
  top: 0;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 80px;
  background-color: #ffffff;
}

.header_logo,
.header_logo img {
  display: block;
  max-height: 70px;
  width: auto;
}

.header_logo a {
  display: block;
}

.nav ul {
  display: flex;
  margin: 0;
  padding: 0;
  list-style: none;
}

.list a {
  display: block;
  padding: 1rem;
  color: inherit;
  font-size: 15px;
  text-decoration: none;
}

.Overlay {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100vw;
  height: 100vh;
  visibility: hidden;
  background-color: rgba(0, 0, 0, 0.2);
  opacity: 0;
  transition: all 0.3s;
}

.Overlay.active {
  visibility: visible;
  opacity: 1;
}

#menu-btn,
.nav-hidden {
  display: none;
}

.Contact {
  margin-right: 10px;
  background-color: #3656a7;
  border-radius: 32px;
  color: #ffffff;
}

@media screen and (min-width: 1537px) {
  .site-header {
    height: 130px;
  }

  .header_logo,
  .header_logo img {
    max-height: 100px;
  }

  .list a {
    font-size: 20px;
  }
}

@media screen and (max-width: 1023px) {
  .site-header {
    height: 100px;
  }

  .header_logo,
  .header_logo img {
    height: 100px;
    max-height: none;
    width: auto;
    margin: 0 auto;
  }

  #menu-btn {
    position: fixed;
    top: 40px;
    right: 1rem;
    z-index: 10;
    display: flex;
    align-items: center;
    width: 30px;
    height: 20px;
  }

  #menu-btn::after {
    position: absolute;
    top: 23px;
    left: 0;
    width: 100%;
    color: #000000;
    content: "MENU";
    font-size: 11px;
    line-height: 1;
    text-align: center;
  }

  #menu-btn span,
  #menu-btn span::before,
  #menu-btn span::after {
    position: absolute;
    width: 100%;
    height: 2px;
    border-radius: 3px;
    background: #000000;
    content: "";
    transition: 0.1s;
  }

  #menu-btn span {
    top: 0;
  }

  #menu-btn span::before {
    top: 8px;
  }

  #menu-btn span::after {
    top: 16px;
  }

  #nav-input:checked~#menu-btn span {
    top: 8px;
    transform: rotate(45deg);
  }

  #nav-input:checked~#menu-btn span::before {
    opacity: 0;
  }

  #nav-input:checked~#menu-btn span::after {
    top: 0;
    transform: rotate(-90deg);
  }

  #nav-input:checked~#menu-btn::after {
    content: "";
  }

  .nav {
    position: fixed;
    top: 0;
    right: -100%;
    z-index: 9;
    width: 200px;
    height: 100%;
    background: #ffffff;
    transition: 0.5s;
  }

  .nav ul {
    display: block;
    padding: 2rem;
  }

  .list a {
    padding: 1rem 5px;
  }

  .site-header #nav-input:checked~.nav {
    right: 0;
  }

  .Contact {
    text-align: center;
  }
}

@media screen and (max-width: 641px) {
  .site-header {
    justify-content: center;
    height: 90px;
  }

  .header_logo,
  .header_logo img {
    height: 70px;
  }

  .header_logo a {
    height: 100%;
  }
}

@media (min-width: 1024px) {
  .Overlay {
    visibility: hidden;
    opacity: 0;
  }
}